Bug 882539 (mate-netspeed)

Summary: Review Request: mate-netspeed - MATE Desktop netspeed app
Product: [Fedora] Fedora Reporter: Dan Mashal <dan.mashal>
Component: Package ReviewAssignee: Nelson Marques <nmo.marques>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: cfeller, nmo.marques, notting, package-review, rdieter
Target Milestone: ---Flags: nmo.marques: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-12-10 20:31:55 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 840149    
Bug Blocks: 876047    

Comment 1 Nelson Marques 2012-12-01 19:38:15 EST
I've done the review, but I'm not sure on what to do in two things:

 1. Package must own all directories that it creates. - I would like help on this, I don't know how to evaluate this.

 2. I dont know how to evaluate/act upon this check either (licence check):

*No copyright* GPL (v2 or later)
--------------------------------
/var/lib/mock/fedora-18-x86_64/root/builddir/build/BUILD/mate-netspeed-1.5.0/src/backend.h


In all the rest, the package seems OK to me. I've never really did a review before; please validate the 2 points above.





Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "*No copyright* GPL (v2 or later)", "Unknown or generated". 2 files have
     unknown license. Detailed output of licensecheck in /home/nmarques/882539
     -mate-netspeed/licensecheck.txt
[x]: The spec file handles locales properly.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Package must own all directories that it creates.
[ ]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 30720 bytes in 3 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[ ]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX / PatchY prefixed with %{name}.
[x]: SourceX is a working URL.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: mate-netspeed-debuginfo-1.5.0-1.fc18.x86_64.rpm
          mate-netspeed-1.5.0-1.fc18.src.rpm
          mate-netspeed-1.5.0-1.fc18.x86_64.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint mate-netspeed mate-netspeed-debuginfo
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
mate-netspeed-debuginfo-1.5.0-1.fc18.x86_64.rpm (rpmlib, GLIBC filtered):
    

mate-netspeed-1.5.0-1.fc18.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /bin/sh
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libfontconfig.so.1()(64bit)
    libfreetype.so.6()(64bit)
    libgdk-x11-2.0.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgtk-x11-2.0.so.0()(64bit)
    libgtop-2.0.so.7()(64bit)
    libm.so.6()(64bit)
    libmate-panel-applet-4.so.1()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpangoft2-1.0.so.0()(64bit)
    rtld(GNU_HASH)



Provides
--------
mate-netspeed-debuginfo-1.5.0-1.fc18.x86_64.rpm:
    
    mate-netspeed-debuginfo = 1.5.0-1.fc18
    mate-netspeed-debuginfo(x86-64) = 1.5.0-1.fc18

mate-netspeed-1.5.0-1.fc18.x86_64.rpm:
    
    mate-netspeed = 1.5.0-1.fc18
    mate-netspeed(x86-64) = 1.5.0-1.fc18



MD5-sum check
-------------
http://pub.mate-desktop.org/releases/1.5/mate-netspeed-1.5.0.tar.xz :
  CHECKSUM(SHA256) this package     : 6bd79e341720b012f0741afec75d322a9fee84e540445a527398fc4714fb5bca
  CHECKSUM(SHA256) upstream package : 6bd79e341720b012f0741afec75d322a9fee84e540445a527398fc4714fb5bca


Generated by fedora-review 0.3.1 (b71abc1) last change: 2012-10-16
Buildroot used: fedora-18-x86_64
Command line :/usr/bin/fedora-review -m fedora-18-x86_64 -b 882539
Comment 2 Dan Mashal 2012-12-01 20:04:02 EST
Per our conversation these are non issues. Package does own all directories it creates. All others are owned by mate-panel.
Comment 3 Nelson Marques 2012-12-01 20:09:42 EST
Per our conversation a crasher has been fixed too; I agree the package is ok in my opinion.



Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "*No copyright* GPL (v2 or later)", "Unknown or generated". 2 files have
     unknown license. Detailed output of licensecheck in /home/nmarques/882539
     -mate-netspeed/licensecheck.txt
[x]: The spec file handles locales properly.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 30720 bytes in 3 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX / PatchY prefixed with %{name}.
[x]: SourceX is a working URL.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: mate-netspeed-debuginfo-1.5.0-1.fc18.x86_64.rpm
          mate-netspeed-1.5.0-1.fc18.src.rpm
          mate-netspeed-1.5.0-1.fc18.x86_64.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint mate-netspeed mate-netspeed-debuginfo
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
mate-netspeed-debuginfo-1.5.0-1.fc18.x86_64.rpm (rpmlib, GLIBC filtered):
    

mate-netspeed-1.5.0-1.fc18.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /bin/sh
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libfontconfig.so.1()(64bit)
    libfreetype.so.6()(64bit)
    libgdk-x11-2.0.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgtk-x11-2.0.so.0()(64bit)
    libgtop-2.0.so.7()(64bit)
    libm.so.6()(64bit)
    libmate-panel-applet-4.so.1()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpangoft2-1.0.so.0()(64bit)
    mate-panel
    rtld(GNU_HASH)



Provides
--------
mate-netspeed-debuginfo-1.5.0-1.fc18.x86_64.rpm:
    
    mate-netspeed-debuginfo = 1.5.0-1.fc18
    mate-netspeed-debuginfo(x86-64) = 1.5.0-1.fc18

mate-netspeed-1.5.0-1.fc18.x86_64.rpm:
    
    mate-netspeed = 1.5.0-1.fc18
    mate-netspeed(x86-64) = 1.5.0-1.fc18



MD5-sum check
-------------
http://pub.mate-desktop.org/releases/1.5/mate-netspeed-1.5.0.tar.xz :
  CHECKSUM(SHA256) this package     : 6bd79e341720b012f0741afec75d322a9fee84e540445a527398fc4714fb5bca
  CHECKSUM(SHA256) upstream package : 6bd79e341720b012f0741afec75d322a9fee84e540445a527398fc4714fb5bca


Generated by fedora-review 0.3.1 (b71abc1) last change: 2012-10-16
Buildroot used: fedora-18-x86_64
Command line :/usr/bin/fedora-review -m fedora-18-x86_64 -b 882539
Comment 4 Nelson Marques 2012-12-01 20:13:45 EST
okay thanks, looks good, install rpm and it works, verified successful builds on koji, APPROVED
Comment 5 Dan Mashal 2012-12-01 20:16:09 EST
New Package SCM Request
=======================
Package Name: mate-netspeed
Short Description: MATE Desktop netspeed app
Owners: vicodan rdieter nmarques
Branches: f16 f17 f18
Comment 6 Jon Ciesla 2012-12-01 20:32:26 EST
Git done (by process-git-requests).
Comment 7 Fedora Update System 2012-12-02 13:53:07 EST
mate-netspeed-1.5.0-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mate-netspeed-1.5.0-1.fc18
Comment 8 Fedora Update System 2012-12-02 14:56:25 EST
mate-netspeed-1.5.0-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mate-netspeed-1.5.0-1.fc17
Comment 9 Fedora Update System 2012-12-02 21:28:59 EST
mate-netspeed-1.5.0-1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 10 Fedora Update System 2012-12-10 20:31:57 EST
mate-netspeed-1.5.0-1.fc17 has been pushed to the Fedora 17 stable repository.
Comment 11 Fedora Update System 2012-12-11 00:57:59 EST
mate-netspeed-1.5.0-1.fc18 has been pushed to the Fedora 18 stable repository.